Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.edapt
Class EdaptViewModelMigrator

    java.lang.Object
      org.eclipse.emf.ecp.view.edapt.EdaptViewModelMigrator

All Implemented Interfaces:
  ViewModelMigrator

    public class EdaptViewModelMigrator

extends Object
implements ViewModelMigrator

A `ViewModelMigrator` using edapt.

Author:
  Lucas, jfaltermeier

Constructor Summary
`EdaptViewModelMigrator()`

Method Summary
`boolean` | `checkMigration(org.eclipse.emf.common.util.URI resourceURI)` Checks whether a view model needs to be migrated.
`void` | `performMigration(org.eclipse.emf.common.util.URI resourceURI)` Migrates a view model to the latest version.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdaptViewModelMigrator

    public EdaptViewModelMigrator()

Method Detail

### checkMigration

    public boolean checkMigration(org.eclipse.emf.common.util.URI resourceURI)

  Checks whether a view model needs to be migrated.

  Specified by:
    `checkMigration` in interface `ViewModelMigrator`
  Parameters:
    `resourceURI` - The URI of the view model that should be checked.
  Returns:
    true, if the view model does not require a migration, false otherwise.
  See Also:
    `ViewModelMigrator.checkMigration(org.eclipse.emf.common.util.URI)`

### performMigration

    public void performMigration(org.eclipse.emf.common.util.URI resourceURI)
                          throws ViewModelMigrationException

  Migrates a view model to the latest version.

  Specified by:
    `performMigration` in interface `ViewModelMigrator`
  Parameters:
    `resourceURI` - The URI of the view model that should be migrated.
  Throws:
    `ViewModelMigrationException` - in case of an error
  See Also:
    `ViewModelMigrator.performMigration(org.eclipse.emf.common.util.URI)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.